Loading...
Searching...
No Matches
etl::math Struct Reference

## Additional Inherited Members

Static Public Attributes inherited from etl::private_math_constants::math_helper< T >
static ETL_CONSTANT double | pi = 3.14159265358979
static ETL_CONSTANT double | pi_reciprocal = 0.31830988618379
static ETL_CONSTANT double | pi_squared = 9.86960440108936
static ETL_CONSTANT double | e = 2.71828182845905
static ETL_CONSTANT double | e_reciprocal = 0.36787944117144
static ETL_CONSTANT double | e_squared = 7.38905609893065
static ETL_CONSTANT double | root2 = 1.41421356237310
static ETL_CONSTANT double | root2_reciprocal = 0.70710678118655
static ETL_CONSTANT double | euler = 0.57721566490153
static ETL_CONSTANT double | golden_ratio = 1.61803398874989

The documentation for this struct was generated from the following file:

- include/etl/math_constants.h